{% extends 'base.html' %}
{% block title %}Détail des paiements{% endblock %}
{% block content %}
    <div>
    <h1 align="center">Détail des paiements pour l'événement {{ event }}</h1>
    <br>
    <table>
        <thead>
        <tr>
            <th>Id du billet</th>
            <th>Id de la commande</th>
            <th>Client</th>
            <th>Email</th>
            <th>Produit acheté</th>
            <th>Participant associé</th>
            <th>Options</th>
            <th>Id Transaction Mercanet</th>
            <th>Montant (centimes)</th>
            <th>Date</th>
            <th>Heure</th>
            <th>Annulé ?</th>
            <th>Remboursé ?</th>
            <th>Statut de la commande</th>
            {% if quest == 'oui' %}
                {% for question in questions %}
                    {% if question.question_type != 8 %}
                        <th>{{ question }}</th>
                    {% endif %}
                {% endfor %}
            {% endif %}
        </tr>

        </thead>
        <tbody>

        {% for billet in billets %}
            <tr>
                <td>{{ billet.id }}</td>
                <td>{{ billet.order.id }}</td>
                <td>{{ billet.order.client }}</td>
                <td>{{ billet.order.client.email }}</td>
                <td>{{ billet.product.name }}</td>

                <td>
                    {% for participant in billet.participants.all %}
                        {{ participant.first_name }} {{ participant.last_name }}<br/>
                    {% endfor %}
                </td>
                <td>{% for option in billet.options.all %}{{ option }}<br/>{% endfor %}</td>
                <td>{{ billet.order.transaction.mercanet.transactionReference }}</td>
                <td>{{ billet.order.transaction.amount }}</td>
                <td>{{ billet.order.transaction.mercanet.transactionDateTime|date:"d/m/Y" }}</td>
                <td>{{ billet.order.transaction.mercanet.transactionDateTime|time }}</td>
                <td>{{ billet.refunded|yesno:'oui,non' }}</td>
                <td>{{ billet.canceled|yesno:'oui,non' }}</td>
                <td>{{ billet.order.get_status_display }}</td>

                {% if quest == 'oui' %}
                    {% for question in questions %}
                        {% if question.question_type != 8 %}
                            <td>
                                {% for answer in billet.order.answers.all %}
                                    {% if question.id == answer.question.id %}
                                        {{ answer.value }}<br/>
                                    {% endif %}
                                {% endfor %}
                            </td>
                        {% endif %}
                    {% endfor %}
                {% endif %}
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}
